extends Area2D

signal touched

func _on_TriggerResults_body_entered(body):
	if body.name == "Player":
		emit_signal("touched")
		set_deferred("monitoring",false)
		global.hud.stop_clock()
		global.game_root.change_scene("res://src/Main/ResultsScreen.tscn",true,"fade_out",global.STATE.MENU)
